> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steuerboard.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an accountant user

> Deletes an accountant user by ID.

<Warning>This endpoint only works with the **Accountant API key**. More information [here](/api-keys)</Warning>


## OpenAPI

````yaml https://api.steuerboard.com/v1/openapi delete /admin/users/{id}
openapi: 3.1.1
info:
  version: 0.1.0
  title: Steuerboard API
servers:
  - url: https://api.steuerboard.com/v1
security:
  - bearerAuth: []
tags:
  - name: auth
    description: Authentication and identity endpoints
    x-displayName: Auth
  - name: collect
    description: Public collect session endpoints
    x-displayName: Collect
  - name: collect.sessions
    description: Collect Sessions endpoints
    x-displayName: Collect Sessions
  - name: health
    description: Service health endpoints
    x-displayName: Health
  - name: admin.clients
    description: Admin endpoints for managing clients
    x-displayName: Clients
  - name: admin.users
    description: Admin user management endpoints
    x-displayName: Admin Users
  - name: files
    description: File management endpoints
    x-displayName: Files
  - name: tasks
    description: Task management endpoints
    x-displayName: Tasks
  - name: workspaces
    description: Workspace management endpoints
    x-displayName: Workspaces
  - name: workspace.members
    description: Workspace member management endpoints
    x-displayName: Workspace Members
  - name: webhooks
    description: Webhook event payloads and contracts
    x-displayName: Webhooks
  - name: users
    description: User management endpoints
    x-displayName: Users
externalDocs:
  description: Find out more about Steuerboard API
  url: https://docs.steuerboard.com
paths:
  /admin/users/{id}:
    delete:
      tags:
        - admin.users
      summary: Delete an accountant user
      description: Deletes an accountant user by ID.
      operationId: deleteAccountantUser
      parameters:
        - schema:
            type: string
            format: cuid
            description: The ID of the item
            example: cmf41ajzv003706un4i99q19z
          required: true
          in: path
          name: id
      responses:
        '200':
          description: Accountant user removed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/auth_error'
        '403':
          description: Missing scope
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/auth_error'
                  - properties:
                      status_code:
                        type: integer
                        enum:
                          - 403
                      type:
                        type: string
                        enum:
                          - auth_error
                      code:
                        type: string
                        enum:
                          - missing_scope
                      message:
                        type: string
        '404':
          description: Accountant user not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/not_found'
        '409':
          description: Cannot delete the acting user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/conflict'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rate_limit'
        '500':
          description: Internal server error
          content: {}
components:
  schemas:
    DeleteResponse:
      type: object
      properties:
        object:
          type: string
          description: The type of the deleted object
          example: file
        deleted:
          type: boolean
          description: Whether the object was deleted
          example: true
        id:
          type: string
          format: cuid
          description: The ID of the deleted object
          example: cmf41ajzv003706un4i99q19z
      required:
        - object
        - deleted
        - id
    auth_error:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 401
        type:
          type: string
          enum:
            - auth_error
        code:
          type: string
          enum:
            - unauthorized
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
    not_found:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 404
        type:
          type: string
          enum:
            - not_found
        code:
          type: string
          enum:
            - not_found
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
    conflict:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 409
        type:
          type: string
          enum:
            - conflict
        code:
          type: string
          enum:
            - conflict
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
    rate_limit:
      type: object
      properties:
        status_code:
          type: integer
          enum:
            - 429
        type:
          type: string
          enum:
            - rate_limit
        code:
          type: string
          enum:
            - too_many_requests
        message:
          type: string
      required:
        - status_code
        - type
        - code
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication

````